/* Tri ngulo de Pascal de coeficientes binomiales
				 n                      n-i  i
  (a+b)ü =  ä  ( n! / (i!ú(n-i)!))úa  ú b
				 i=0                                   */
																					 //T_PASCAL.CPP
#include <iostream.h>
#include <iomanip.h>
#include <conio.h>

float factorial(int);

main(){
	int N=10, n, i, coeficiente, espacio;

	clrscr();
	cout << "\t\tTRIANGULO DE PASCAL DE COEFICIENTES BINOMIALES\n\n";
	for(n = 0; n <= N; n++) {
		for(espacio=1; espacio <= (80/2-6)-n*3; espacio++)
			cout << " ";
		for(i = 0; i <= n; i++){
			coeficiente = factorial(n)/(factorial(i)*factorial(n-i));
			cout << setw(6) << coeficiente;
		}
		cout << endl;
	}
	getch();
}

float factorial(int n){
	float f;

	if ((n == 1) || (n == 0))
		return(1);
	f = n * factorial(n-1);
	return(f);
}


